eoEsSimple(3)

NAME
eoEsSimple - Simple Evolution Strategy.

SYNOPSIS

#include <eoEsSimple.h>

Inherits eoVector< Fit, double >.

  Public Types
typedef double Type

  Public Member Functions
virtual std::string className () const
Return the class id.
void printOn (std::ostream &os) const
printing...
void readFrom (std::istream &is)
reading...

  Public Attributes
double stdev

Detailed Description

  template<class Fit> class eoEsSimple< Fit >
Simple Evolution Strategy. One of the more simple evolution strategies, sporting just a single stdeviation for the entire chromosome. For more advanced versions see also eoEsStdev eoEsFull

See also:
    eoEsStdev eoEsFull

Definition at line 42 of file eoEsSimple.h.

Member Function Documentation

  template<class Fit> virtual std::string eoEsSimple< Fit >::className (void) const [inline, virtual]

Return the class id.

Returns:
    the class name as a std::string

Reimplemented from EO< Fit >.

Definition at line 50 of file eoEsSimple.h.

Author

Generated automatically by Doxygen for EO from the source code.